package de.hhu.ba.yoshikoWrapper.gui;

import java.awt.Component;
import java.util.Locale;

import javax.swing.JLabel;
import javax.swing.JList;
import javax.swing.JPanel;
import javax.swing.ListCellRenderer;

import de.hhu.ba.yoshikoWrapper.core.GraphicsLoader;

@SuppressWarnings("serial")
class LanguageRenderer extends JPanel implements ListCellRenderer<Locale>{

	private final JLabel label;
	
	public LanguageRenderer() {
		label = new JLabel();
		this.add(label);
	}
	
	@Override
	public Component getListCellRendererComponent(
			JList<? extends Locale> list,
			Locale value,
			int index,
			boolean isSelected,
			boolean cellHasFocus) 
	{

		if (isSelected) {
			setBackground(list.getSelectionBackground());
			setForeground(list.getSelectionForeground());
		} else {
			setBackground(list.getBackground());
			setForeground(list.getForeground());
		}
		
		label.setIcon(GraphicsLoader.getFlag(value, 64, 32));
		label.setText(value.getDisplayLanguage());

		return this;
	}
	
}
